package com.kaixed.kchat.viewmodel

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.kaixed.kchat.model.response.ApplyFriend
import com.kaixed.kchat.repository.ContactRepo

/**
 * @Author: kaixed
 * @Date: 2024/10/15 17:29
 */
class ApplyFriendViewModel : ViewModel() {
    private var contactRepo: ContactRepo = ContactRepo()

    fun addContact(contactId: String, message: String): MutableLiveData<ApplyFriend?> =
        contactRepo.addContact(contactId, message)
}
